<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, mainContent=~{::mainContent}, breadcrumbs=~{::breadcrumbs})}">
<head>
    <title>Form Administration Console</title>
    <th:block th:fragment="scripts">
        <script th:src="@{/js/app/algo/edit.js}"></script>
    </th:block>
</head>
<body>
    <ol class="breadcrumb" th:fragment="breadcrumbs">
        <li>
            <a th:href="@{/}" th:text="#{Home}"></a>
        </li>
        <li>
            <a th:href="@{/algo}" th:text="#{Algorithms}"></a>
        </li>
        <li class="active">
            <span th:text="${bean.code}"></span>
        </li>
    </ol>
    <div th:fragment="mainContent">
        <div th:replace="commons/modal::default(id='confirmModal', title='Confirm')"></div>
        <div class="row">
            <div class="col-md-12">
                <form name="algorithm" class="form-horizontal" method="post" th:action="@{/algo/{id}(id=${bean.id})}" th:object="${bean}">
                    <input name="content" type="hidden" th:value="*{content}" />
                    <div class="form-group">
                        <label for="code" class="control-label col-md-2" th:text="#{Algorithm code}"></label>
                        <div class="col-md-3">
                            <input type="text" class="form-control" name="code" th:value="*{code}" th:readonly="${bean.id}" data-parsley-required="true" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="content" class="control-label col-md-2" th:text="#{Algorithm script}"></label>
                        <div class="col-md-10">
                            <pre id="algo_content" class="form-control" th:text="*{content}" data-parsley-required="true"></pre>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-md-offset-8 col-md-4" style="text-align: right">
                            <button id="btn-algo-submit" type="submit" class="btn btn-primary" th:text="#{Submit}">Submit</button>
                            <a id="btn-algo-cancel" class="btn btn-default" th:href="@{/algo}" th:text="#{Cancel}">Cancel</a>
                            <a id="btn-algo-remove" class="btn btn-default" role="remove" data-toggle="confirm" th:href="@{/algo/{id}/remove(id=${bean.id})}" th:if="${bean.id}" th:text="#{Remove}" th:attr="data-confirm-title=#{Algorithm : {0}(*{code})}, data-confirm-content=#{Do you really want to remove this algorithm ?}">Remove</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</body>
</html>